Subject: Re: [bug#33286] Add 'list-formats' to 'guix pack'

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 6 Nov 2018 11:39:15 +0100

Hi Efraim,

On Tue, 6 Nov 2018 11:53:16 +0200
Efraim Flashner <[email-masked]> wrote:

> I was looking at the help menu for 'guix pack' and I realized that I
> didn't know what formats were available and there wasn't a flag to show
> them.

Good idea!  In principle LGTM, but why not (also?) always show them on "--help"?
It's kinda weird to have "--help" not show something and then having to invoke a
command again to get it.  It's not like the new output is long in proportion
to the existing output of "--help" or anything.